Package wx :: Package lib :: Package agw :: Module supertooltip

[frames | no frames]

## Module wx.lib.agw.supertooltip

# Description

SuperToolTip is a class that mimics the behaviour of wx.TipWindow and generic tooltip windows, although it is a custom-drawn widget. This class supports:

- Blended triple-gradient for the tooltip background;
- Header text and header image, with possibility to set the header font indipendently;
- Footer text and footer image, with possibility to set the footer font indipendently;
- Multiline text message in the tooltip body, plus an optional image as "body image";
- Bold lines and hyperlink lines in the tooltip body;
- A wide set of predefined drawing styles for the tooltip background;
- Drawing of separator lines after the header and/or before the footer;
- Rounded corners and shadows below the tooltip window (Windows XP only);
- Fade in/fade out effects (Windows XP only);
- User-settable delays for the delay after which the tooltip appears and the delay after which the tooltip is destroyed.

And a lot more. Check the demo for an almost complete review of the functionalities.

# Supported Platforms

SuperToolTip has been tested on the following platforms:
  - Windows (Windows XP).

Latest Revision: Andrea Gavana @ 30 January 2009, 09.00 GMT Version 0.2

Classes
`SuperToolTip` | The main class for L{SuperToolTip}, which holds all the methods and setters/getters available to the user.
`ToolTipWindow` | A simple wx.PopupWindow that holds fancy tooltips.
`ToolTipWindowBase` | Base class for the different Windows and Mac implementation.

Function Summary
| ``ExtractLink`(line)` Extract the link from an hyperlink line.
| ``GetStyleKeys`()` Returns the predefined styles keywords.
| ``MakeBold`(font)` Makes a font bold.

Function Details

### ExtractLink(line)

Extract the link from an hyperlink line.

@param line: the line of text to be processed.

### GetStyleKeys()

Returns the predefined styles keywords.

### MakeBold(font)

Makes a font bold. Utility method.

@param font: the font to be made bold.

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:52:44 2009 | http://epydoc.sf.net